package com.recres.web.gwt.client;

import com.google.gwt.user.client.ui.RootPanel;
import com.recres.web.gwt.client.home.Home;
import javax.inject.Inject;
import org.jboss.errai.common.client.dom.Body;
import org.jboss.errai.common.client.dom.Div;
import org.jboss.errai.common.client.dom.Document;
import static org.jboss.errai.common.client.dom.Window.getDocument;
import org.jboss.errai.enterprise.client.jaxrs.api.RestClient;
import org.jboss.errai.ioc.client.api.AfterInitialization;
import org.jboss.errai.ioc.client.api.EntryPoint;
import org.jboss.errai.ui.nav.client.local.NavigationPanel;
import org.jboss.errai.ui.nav.client.local.TransitionTo;
import org.jboss.errai.ui.shared.api.annotations.DataField;

@EntryPoint
public class Main {

    @Inject
    @DataField
    private Div root;

    @Inject
    private NavigationPanel navigationPanel;

    @Inject
    private TopNavigationBar topNavigationBar;

    @Inject
    private MobileNavigationBar mobileNavigationBar;

    @Inject TransitionTo<Home> home;

    @AfterInitialization
    private void afterInitialization() {
        RestClient.setApplicationRoot("/rest");
        Body body = getDocument().getBody();
        body.appendChild(topNavigationBar.getElement());
        body.appendChild(mobileNavigationBar.getElement());
        navigationPanel.getElement().setId("pageContainer");
        navigationPanel.getElement().addClassName("uk-container uk-container-expand");
        
        //Effectively, adding the nav panel as last element in the body.
        RootPanel.get().add(navigationPanel);
        //home.go();
    }

    public static native void log(String message) /*-{
        console.log(message);
    }-*/;

}
